# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetPathArrayInfo

Function

Returns the number of points referred to in a Path Array.

Syntax
`
#include <dx/dx.h>
`

PathArray DXGetPathArrayInfo(PathArray a, int *count)

Functional Details

If `count` is not `NULL`, this routine returns in `*count` the number of points referred to by the Path Array `a`; this is one more than the number of line segments in `a`.

Path Arrays are used to define the regular constituents of a connections grid. As such, they are most often found as members of Mesh Arrays. While it is possible to use Path Arrays directly to define 1-dimensional regular connections, they will not be recognized through the usual `DXQueryGridConnections` interface, and, in some cases, will not be handled without expansion. It is therefore preferable to use `DXMakeGridConnections` and `DXQueryGridConnections` to define and access 1-dimensional regular grids.

Array handles offer a simple mechanism to access individual elements of a Path Array without expansion.

Return Value

Returns `a` or returns `NULL` and sets an error code.

See Also

`DXCreateArrayHandle, DXGetPathOffset, DXMakeGridConnections, DXMakeGridConnectionsV, DXNewPathArray, DXQueryGridConnections, DXSetPathOffset`

"Path Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]